due_date 2.0.0 copy "due_date: ^2.0.0" to clipboard
due_date: ^2.0.0 copied to clipboard

A package for working with repeating DateTime patterns (like the same day every month).

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add due_date

With Flutter:

 $ flutter pub add due_date

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  due_date: ^2.0.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:due_date/due_date.dart';
6
likes
130
pub points
26%
popularity

Publisher

unverified uploader

A package for working with repeating DateTime patterns (like the same day every month).

Homepage
Repository (GitHub)
View/report issues
Contributing

Documentation

API reference

License

MIT (LICENSE)

Dependencies

collection, equatable, intl, time

More

Packages that depend on due_date